
Katello - Bug #4706

org edit ui is missing download_certificate.js

03/19/2014 01:51 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ActionController::RoutingError (No route matches [GET] "/assets/katello/organizations/download_certificate.js")

Associated revisions

Revision c8c3bd3b - 03/24/2014 11:48 AM - Brad Buckingham

fixes #4706 - adding back the ability to download a debug certificate

As part of an earlier commit to eliminate dead code, this

feature was accidentally removed.  Since is still needed

on the org edit page, it is being reintroduced.

A couple of notes:

- rather than bring back the old ui controller, the action

is being added to the v2 api controller

- in order to reduce chance of the overrides being removed

in the future, they are being placed in app/overrides/foreman

Revision 3706700f - 03/24/2014 12:13 PM - Brad Buckingham

Merge pull request #3858 from bbuckingham/issue-4706

fixes #4706 - adding back the ability to download a debug certificate

History

#1 - 03/20/2014 01:42 PM - Brad Buckingham

- Status changed from New to Assigned

- Assignee set to Brad Buckingham

This appears to be a regression from code removed by https://github.com/Katello/katello/pull/3731

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/24/2014 12:53 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
https://github.com/Katello/katello/pull/3731


Applied in changeset katello|commit:c8c3bd3b8a6650a05c85682457702f0a7c8a20a1.

#6 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
